#ifndef _TESTGENERICLOCALFEATURESELECTIONPERSISTENT_H
#define _TESTGENERICLOCALFEATURESELECTIONPERSISTENT_H

#include <cppunit/extensions/HelperMacros.h>

#include <vislearning/features/localfeatures/GenericLocalFeatureSelection.h>

/**
 * CppUnit-Testcase. 
 * @brief CppUnit-Testcase to create a LocalFeatureRepresentation object via GenericLocalFeatureSelection, to store it, and to restore it again.
 * @author Alexander Freytag
 * @date 12-02-2014 ( dd-mm-yyyy )
 */
class TestGenericLocalFeatureSelectionPersistent : public CppUnit::TestFixture {

    CPPUNIT_TEST_SUITE( TestGenericLocalFeatureSelectionPersistent );
	 CPPUNIT_TEST(testPersistentMethods);
      
    CPPUNIT_TEST_SUITE_END();
  
 private:
 
 public:
    void setUp();
    void tearDown();


    void testPersistentMethods();
};

#endif // _TESTGENERICLOCALFEATURESELECTIONPERSISTENT_H
